Main Page Class Hierarchy Compound List File List Compound Members

# KEY_driver_in Class Reference

Input driver for KEY files. More...

`#include <keydrin.h>`

Inheritance diagram for KEY_driver_in:

List of all members.

## Public Methods
| KEY_driver_in (const wxString &filename, double factor=1)
| constructor
| ~KEY_driver_in ()
| destructor
## Protected Methods
bool | ReadItem (const wxString &type)
| read one record from the KEY Data
void | IncC ()
| read next character
char | PeekNextC ()
| what is the next character
## Protected Attributes
wxString | KEY_filename
| input file name
GdsII * | m_cur_gdsii
| the units of the current file that is read

## Detailed Description

Input driver for KEY files.

The documentation for this class was generated from the following file:

- keydrin.h

KEY_driver_in class Reference -- Thu Nov 28 21:24:57 2002 -- 28 Nov 2002 -- 1.2.18 -- -- . -- Main Page